Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface Keymap

public interface Keymap

A collection of bindings of KeyStrokes to actions. The bindings are basically name-value pairs that potentially resolve in a hierarchy.

Method Summary
`void` | `addActionForKeyStroke(KeyStroke key, Action a)` Adds a binding to the keymap.
`Action` | `getAction(KeyStroke key)` Fetches the action appropriate for the given symbolic event sequence.
`Action[]` | `getBoundActions()` Fetches all of the actions defined in this keymap.
`KeyStroke[]` | `getBoundKeyStrokes()` Fetches all of the keystrokes in this map that are bound to some action.
`Action` | `getDefaultAction()` Fetches the default action to fire if a key is typed (i.e.
`KeyStroke[]` | `getKeyStrokesForAction(Action a)` Fetches the keystrokes that will result in the given action.
`String` | `getName()` Fetches the name of the set of key-bindings.
`Keymap` | `getResolveParent()` Fetches the parent keymap used to resolve key-bindings.
`boolean` | `isLocallyDefined(KeyStroke key)` Determines if the given key sequence is locally defined.
`void` | `removeBindings()` Removes all bindings from the keymap.
`void` | `removeKeyStrokeBinding(KeyStroke keys)` Removes a binding from the keymap.
`void` | `setDefaultAction(Action a)` Set the default action to fire if a key is typed.
`void` | `setResolveParent(Keymap parent)` Sets the parent keymap, which will be used to resolve key-bindings.

Method Detail

### getName

    public String getName()

  Fetches the name of the set of key-bindings.

  Returns:
    the name

### getDefaultAction

    public Action getDefaultAction()

  Fetches the default action to fire if a key is typed (i.e. a KEY_TYPED KeyEvent is received) and there is no binding for it. Typically this would be some action that inserts text so that the keymap doesn't require an action for each possible key.

  Returns:
    the default action

### setDefaultAction

    public void setDefaultAction(Action a)

  Set the default action to fire if a key is typed.

  Parameters:
    `a` - the action

### getAction

    public Action getAction(KeyStroke key)

  Fetches the action appropriate for the given symbolic event sequence. This is used by JTextController to determine how to interpret key sequences. If the binding is not resolved locally, an attempt is made to resolve through the parent keymap, if one is set.

  Parameters:
    `key` - the key sequence
  Returns:
    the action associated with the key sequence if one is defined, otherwise `null`

### getBoundKeyStrokes

    public KeyStroke[] getBoundKeyStrokes()

  Fetches all of the keystrokes in this map that are bound to some action.

  Returns:
    the list of keystrokes

### getBoundActions

    public Action[] getBoundActions()

  Fetches all of the actions defined in this keymap.

  Returns:
    the list of actions

### getKeyStrokesForAction

    public KeyStroke[] getKeyStrokesForAction(Action a)

  Fetches the keystrokes that will result in the given action.

  Parameters:
    `a` - the action
  Returns:
    the list of keystrokes

### isLocallyDefined

    public boolean isLocallyDefined(KeyStroke key)

  Determines if the given key sequence is locally defined.

  Parameters:
    `key` - the key sequence
  Returns:
    true if the key sequence is locally defined else false

### addActionForKeyStroke

    public void addActionForKeyStroke(KeyStroke key,
                                      Action a)

  Adds a binding to the keymap.

  Parameters:
    `key` - the key sequence
    `a` - the action

### removeKeyStrokeBinding

    public void removeKeyStrokeBinding(KeyStroke keys)

  Removes a binding from the keymap.

  Parameters:
    `keys` - the key sequence

### removeBindings

    public void removeBindings()

  Removes all bindings from the keymap.

### getResolveParent

    public Keymap getResolveParent()

  Fetches the parent keymap used to resolve key-bindings.

  Returns:
    the keymap

### setResolveParent

    public void setResolveParent(Keymap parent)

  Sets the parent keymap, which will be used to resolve key-bindings.

  Parameters:
    `parent` - the parent keymap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.